summaryrefslogtreecommitdiff
path: root/Biz/Ide/ship.bash
diff options
context:
space:
mode:
authorBen Sima <ben@bsima.me>2023-10-10 13:15:59 -0400
committerBen Sima <ben@bsima.me>2023-10-10 13:15:59 -0400
commit904de577261e7024373e7a42fd763184764238f9 (patch)
tree563e4968eab568466ae3e7a1c747dd24a77986c0 /Biz/Ide/ship.bash
parent6107f8178e26ada67e5d5ec60501e24528b3db56 (diff)
Don't swallow namespace-parsing errors
Previously, if there was a problem with the inputs and bild failed to determine the namespace, 'fromPath' would return 'Nothing' and then 'catMaybes' would drop the error-causing input altogether. In the one time that I had a bad input, this made debugging incredibly difficult. It's always a bad idea to swallow errors silently, so instead lets just kill the program if we have bad inputs.
Diffstat (limited to 'Biz/Ide/ship.bash')
-rwxr-xr-xBiz/Ide/ship.bash23
1 files changed, 23 insertions, 0 deletions
diff --git a/Biz/Ide/ship.bash b/Biz/Ide/ship.bash
new file mode 100755
index 0000000..33197c8
--- /dev/null
+++ b/Biz/Ide/ship.bash
@@ -0,0 +1,23 @@
+#!/usr/bin/env bash
+#
+# ship <target>...
+#
+# lint, bild, test, and push one or more targets. if no targets are supplied,
+# ship everything we know how to ship
+##
+ set -eu
+ stuff=(${@})
+ if [[ ${#stuff[@]} -eq 0 ]]
+ then
+ stuff=$(fd -t l . "$CODEROOT/_" \
+ | fzf --multi \
+ | sed "s,$CODEROOT/_/nix/,,g"
+ )
+ fi
+ lint ${stuff[@]}
+ bild --test ${stuff[@]}
+ for thing in ${stuff[@]}
+ do
+ push $thing
+ done
+##